Bug 32937 - Need a way to influence Line.getLookup
Need a way to influence Line.getLookup
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Text
3.x
PC Linux
: P3 (vote)
: 4.x
Assigned To: Jaroslav Tulach
issues@platform
: API
Depends on:
Blocks: 32210
  Show dependency treegraph
 
Reported: 2003-04-16 09:36 UTC by Jaroslav Tulach
Modified: 2008-12-22 18:41 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Suggested change, is it useful for PropertiesES? (4.37 KB, patch)
2003-04-16 10:13 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-04-16 09:36:47 UTC
Blocks issue 32210:

Right now the Line has constructor taking Lookup.
If the creator of the line passed Lookup
containing DataObject into its line, then
DataEditorSupport.findDataObject(line) would work.
Obvisously it does not do that and very likely
there is no way to do it now.


We need a way how CloneableEditorSupport subclass
will pass a Lookup to all its lines. I suggest new
constructor taking the Lookup. Then all lines will
return this lookup.
Comment 1 Jaroslav Tulach 2003-04-16 10:13:45 UTC
Created attachment 9967 [details]
Suggested change, is it useful for PropertiesES?
Comment 2 Jesse Glick 2003-04-16 15:13:48 UTC
Patch seems to make sense to me. But for properties module, adding the
DataObject to lookup will be useless - need the PresentableFileEntry
and/or FileObject.
Comment 3 Jaroslav Tulach 2003-04-18 09:38:02 UTC
Fixed and some basic CES tests written - invitation for extenders ;-)

Checking in openide-spec-vers.properties;
/cvs/openide/openide-spec-vers.properties,v  <-- 
openide-spec-vers.properties
new revision: 1.113; previous revision: 1.112
done
Processing log script arguments...
More commits to come...
Checking in api/doc/changes/apichanges.xml;
/cvs/openide/api/doc/changes/apichanges.xml,v  <--  apichanges.xml
new revision: 1.153; previous revision: 1.152
done
Processing log script arguments...
More commits to come...
Checking in loaders/src/org/openide/text/DataEditorSupport.java;
/cvs/openide/loaders/src/org/openide/text/DataEditorSupport.java,v 
<--  DataEditorSupport.java
new revision: 1.5; previous revision: 1.4
done
Processing log script arguments...
More commits to come...
Checking in src/org/openide/text/CloneableEditorSupport.java;
/cvs/openide/src/org/openide/text/CloneableEditorSupport.java,v  <-- 
CloneableEditorSupport.java
new revision: 1.86; previous revision: 1.85
done
Checking in src/org/openide/text/EditorSupportLineSet.java;
/cvs/openide/src/org/openide/text/EditorSupportLineSet.java,v  <-- 
EditorSupportLineSet.java
new revision: 1.33; previous revision: 1.32

Comment 4 Marian Mirilovic 2004-07-30 12:58:42 UTC
verified, closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo